Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Class FilterExprWalker

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.AxesWalker
                              |
                              +--weblogic.apache.xpath.axes.FilterExprWalker

public class FilterExprWalker
extends AxesWalker

Walker for the OP_VARIABLE, or OP_EXTFUNCTION, or OP_FUNCTION, or OP_GROUP, op codes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  XPath FilterExpr descriptions, Serialized Form

Fields inherited from class weblogic.apache.xpath.axes.AxesWalker
`m_axis, m_nextWalker, m_traverser`

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Method Summary
`short` | `acceptNode(int n)` This method needs to override AxesWalker.acceptNode because FilterExprWalkers don't need to, and shouldn't, do a node test.
`java.lang.Object` | `clone()` Get a cloned FilterExprWalker.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`int` | `getAxis()` Returns the axis being iterated, if it is known.
`int` | `getLastPos(XPathContext xctxt)` Get the index of the last node that can be itterated to.
`int` | `getNextNode()` Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node.
`void` | `init(Compiler compiler, int opPos, int stepType)` Init a FilterExprWalker.
`boolean` | `isDocOrdered()` Returns true if all the nodes in the iteration well be returned in document order.
`void` | `setRoot(int root)` Set the root node of the TreeWalker.

Methods inherited from class weblogic.apache.xpath.axes.AxesWalker
`getCurrentNode, getDTM, getNextWalker, getPrevWalker, getRoot, nextNode, setDefaultDTM, setNextWalker, setPrevWalker, wi`

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`canTraverseOutsideSubtree, countProximityPosition, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public void init(Compiler compiler,
                     int opPos,
                     int stepType)
              throws javax.xml.transform.TransformerException

  Init a FilterExprWalker.

  Parameters:
    `compiler` - non-null reference to the Compiler that is constructing.
    `opPos` - positive opcode position for this step.
    `stepType` - The type of step.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    init in class AxesWalker

### setRoot

    public void setRoot(int root)

  Set the root node of the TreeWalker.

  Parameters:
    `root` - non-null reference to the root, or starting point of the query.
  Overrides:
    setRoot in class AxesWalker

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Get a cloned FilterExprWalker.

  Returns:
    A new FilterExprWalker that can be used without mutating this one.
  Throws:
    java.lang.CloneNotSupportedException -
  Overrides:
    clone in class AxesWalker

### acceptNode

    public short acceptNode(int n)

  This method needs to override AxesWalker.acceptNode because FilterExprWalkers don't need to, and shouldn't, do a node test.

  Parameters:
    `n` - The node to check to see if it passes the filter or not.
  Returns:
    a constant to determine whether the node is accepted, rejected, or skipped, as defined above .
  Overrides:
    acceptNode in class PredicatedNodeTest

### getNextNode

    public int getNextNode()

  Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node. If the current node has no next node, or if the search for nextNode attempts to step upward from the TreeWalker's root node, returns `null` , and retains the current node.

  Returns:
    The new node, or `null` if the current node has no next node in the TreeWalker's logical view.
  Overrides:
    getNextNode in class AxesWalker

### getLastPos

    public int getLastPos(XPathContext xctxt)

  Get the index of the last node that can be itterated to.

  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    the index of the last node that can be itterated to.
  Overrides:
    getLastPos in class AxesWalker

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class PredicatedNodeTest

### isDocOrdered

    public boolean isDocOrdered()

  Returns true if all the nodes in the iteration well be returned in document order. Warning: This can only be called after setRoot has been called!

  Returns:
    true as a default.
  Overrides:
    isDocOrdered in class AxesWalker

### getAxis

    public int getAxis()

  Returns the axis being iterated, if it is known.

  Returns:
    Axis.CHILD, etc., or -1 if the axis is not known or is of multiple types.
  Overrides:
    getAxis in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference